# Generate automatically. Do not edit.

commit ef5ea204da2f89c93f08610136d0a5fb5e604035
Author: Stef Walter <stefw@gnome.org>
Date:   2012-04-16

    Release 3.4.1

 NEWS         |    7 +++++++
 configure.ac |    2 +-
 2 files changed, 8 insertions(+), 1 deletion(-)

commit 6f9cb64de1f1fa81317d44df3aa2773bd1786858
Author: Stef Walter <stefw@gnome.org>
Date:   2012-04-12

    Track disabling the grab correctly
    
     * Only regrab when we've previously disabled the grab due to a minimize
     * Also fix regression so window can be minimized.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=673517

 gcr/gcr-prompt-dialog.c |   10 ++++++++--
 1 file changed, 8 insertions(+), 2 deletions(-)

commit 899786b887d1883dd8d0d8e0c04f18806fe4b8e1
Author: Stef Walter <stefw@gnome.org>
Date:   2012-04-03

    gcr: Add some more debug messages to GcrSystemPrompter

 gcr/gcr-system-prompter.c |   74 ++++++++++++++++++++++++++++++++++++++++++---
 1 file changed, 70 insertions(+), 4 deletions(-)

commit 60bcb157893ac25069353fc18f0885bc6b55a2b7
Author: Stef Walter <stefw@gnome.org>
Date:   2012-04-03

    Fix up GCR_DEBUG and GCK_DEBUG environment variables
    
     * This is due to the G_MESSAGES_DEBUG change in glib
     * We manage our own debug categories, so if G_MESSAGES_DEBUG
       is not being used but GCR_DEBUG or GCK_DEBUG are set
       we unconditionally print the debug messages.
     * If G_MESSAGES_DEBUG is being used, then make all the
       debug messages available to Glib.
     * Can build with -DGCR_DEBUG=category flags to permanently
       enable certain categories.

 README          |   37 +++++++++++++++++++++++++++++++
 gck/gck-debug.c |   66 ++++++++++++++++++++++++++++++++++++++++++++++---------
 gcr/gcr-debug.c |   65 +++++++++++++++++++++++++++++++++++++++++++++---------
 3 files changed, 148 insertions(+), 20 deletions(-)

commit 5854d4968f6892bbf48109840500563e8b813866
Author: Stef Walter <stefw@gnome.org>
Date:   2012-04-03

    Don't distribute built sources
    
     * This caused problems with gdbus-codegen generated files
    
    https://bugzilla.gnome.org/show_bug.cgi?id=673110

 gck/Makefile.am |   20 ++++++++++----------
 gcr/Makefile.am |   20 +++++++++-----------
 2 files changed, 19 insertions(+), 21 deletions(-)

commit 5c37d74d444fe35c80f9d8501bf5be8a485fdb88
Author: Stef Walter <stefw@gnome.org>
Date:   2012-04-02

    Revert accidentally committed change

 configure.ac |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 5f222e4fb048fedc1b57328c2fd8256486b6879a
Author: Stef Walter <stefw@gnome.org>
Date:   2012-03-30

    Build .desktop and .service files correctly

 Makefile.decl                |   28 +++++++++++++++++++++++++++-
 configure.ac                 |    4 +---
 gcr/Makefile.am              |    8 ++++----
 gcr/gcr-viewer.desktop.in    |   10 ----------
 gcr/gcr-viewer.desktop.in.in |    2 +-
 5 files changed, 33 insertions(+), 19 deletions(-)

commit 74a481453b56fbeb49fe1f98b7eea422f1cd7f07
Author: Stef Walter <stefw@gnome.org>
Date:   2012-03-30

    Fix build of gcr-prompter
    
     * Add gck library even though we don't use it. Seems to be
       needed on some distros/setups.

 gcr/Makefile.am |    1 +
 1 file changed, 1 insertion(+)

commit 5391729f7eabe030e7461e88468c22f070f1421c
Author: Daniel Nylander <po@danielnylander.se>
Date:   2012-03-30

    Updated Swedish translation

 po/sv.po |  680 ++++++++++++++++++++++++++++++++++++--------------------------
 1 file changed, 392 insertions(+), 288 deletions(-)

commit 6173ce926bfa5a5ff271ed0f3af7c7d28bab9b75
Author: Stef Walter <stefw@gnome.org>
Date:   2012-03-26

    Release 3.4.0

 NEWS         |    3 +++
 configure.ac |    2 +-
 2 files changed, 4 insertions(+), 1 deletion(-)

commit 7d9ed10cbac374cba3dd12ef87144ecd5603f2ad
Author: Stef Walter <stefw@gnome.org>
Date:   2012-03-19

    Release version 3.3.92

 Makefile.am           |    3 ++-
 NEWS                  |    5 +++++
 configure.ac          |    7 ++++++-
 gcr/icons/Makefile.am |    3 +++
 4 files changed, 16 insertions(+), 2 deletions(-)

commit 2c45af3acd0bbab306f794e21690727fc1b17354
Author: Jordi Mallach <jordi@sindominio.net>
Date:   2012-03-15

    Fix copyright headers.
    
    Many files were missing “Public” in “GNU Lesser General Public License”,
    probably due to a mass replace that went a bit too far. Restore the
    correct wording in all affected places.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=672187

 egg/egg-decimal.h     |    6 +++---
 egg/egg-dh.c          |    6 +++---
 egg/egg-dh.h          |    6 +++---
 egg/egg-error.h       |    6 +++---
 egg/egg-hex.c         |    6 +++---
 egg/egg-hex.h         |    6 +++---
 egg/egg-hkdf.c        |    6 +++---
 egg/egg-hkdf.h        |    6 +++---
 egg/egg-padding.c     |    6 +++---
 egg/egg-padding.h     |    6 +++---
 egg/egg-symkey.c      |    6 +++---
 egg/egg-symkey.h      |    6 +++---
 egg/egg-testing.c     |    6 +++---
 egg/egg-testing.h     |    6 +++---
 gck/gck-mock.c        |    6 +++---
 gck/gck-test.c        |    6 +++---
 gcr/gcr-fingerprint.c |    6 +++---
 gcr/gcr-fingerprint.h |    6 +++---
 18 files changed, 54 insertions(+), 54 deletions(-)

commit 03bc7c6f51fa51349658c1547a8deafdb6887b0f
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   2012-03-10

    Updated Polish translation

 po/pl.po |  724 +++++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 391 insertions(+), 333 deletions(-)

commit 062172203095d2da734fb3e608abea5dfc2f1b63
Author: Stef Walter <stefw@gnome.org>
Date:   2012-03-09

    Remove interfaces file, should be auto-generated.

 docs/reference/gck/gck.interfaces |    1 -
 1 file changed, 1 deletion(-)

commit 198678cd79a944a5c2c66d387af3b8e08b0c6355
Author: Stef Walter <stefw@gnome.org>
Date:   2012-02-29

    Release version 3.3.90

 NEWS                                   |    3 +++
 configure.ac                           |    2 +-
 gcr/gcr-base.symbols                   |    1 -
 gcr/tests/files/gnupg-homedir/gpg.conf |    2 ++
 4 files changed, 6 insertions(+), 2 deletions(-)

commit 7d2cfe588e1c597680f3006885eaf0fe96beaeea
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   2012-02-28

    Updated POTFILES.in

 po/POTFILES.in   |   11 ++++++-----
 po/POTFILES.skip |    1 +
 2 files changed, 7 insertions(+), 5 deletions(-)

commit 84999b2e50c9bfe86a1d6b7a56df3ac2299fd4a0
Author: Stef Walter <stefw@gnome.org>
Date:   2012-02-28

    Add a desktop file for gcr-prompter
    
     * So that it shows up in the shell correctly
    
    https://bugzilla.gnome.org/show_bug.cgi?id=668535

 .gitignore                     |    3 +++
 configure.ac                   |    1 +
 gcr/Makefile.am                |    2 +-
 gcr/gcr-prompter.desktop.in.in |    8 ++++++++
 4 files changed, 13 insertions(+), 1 deletion(-)

commit d5d1b4ef195fb94f1cdcde71ef497cdac1c6ee1b
Author: Colin Walters <walters@verbum.org>
Date:   2012-02-28

    gcr-secure-memory: Fix prototype to match implementation

 gcr/gcr-secure-memory.h |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 43a3b9b29dfc857a714e39344589dcd5e4312370
Author: Stef Walter <stefw@gnome.org>
Date:   2012-02-27

    gcr: Change frob-prompt so that cancelling the prompt stops

 gcr/tests/frob-prompt.c |    5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

commit a9e9199acaec4c0af75758cec82bd36612f431ef
Author: Stef Walter <stefw@gnome.org>
Date:   2012-02-10

    gcr: Expose secure memory API
    
     * Add gcr_secure_memory_new() and gcr_secure_memory_free()
       and friends.
     * Exposed so that we can implement secure entry widget in
       gnome-shell

 docs/reference/gcr/gcr-docs.sgml    |    1 +
 docs/reference/gcr/gcr-sections.txt |   13 ++
 gcr/Makefile.am                     |    2 +
 gcr/gcr-base.h                      |    1 +
 gcr/gcr-base.symbols                |    9 ++
 gcr/gcr-secure-memory.c             |  247 +++++++++++++++++++++++++++++++++++
 gcr/gcr-secure-memory.h             |   59 +++++++++
 gcr/tests/Makefile.am               |    1 +
 gcr/tests/test-secure-memory.c      |  149 +++++++++++++++++++++
 9 files changed, 482 insertions(+)

commit 347d286e8db2787d26a26ab2336fb9a2884257c9
Author: Stef Walter <stefw@gnome.org>
Date:   2012-02-10

    Release 3.3.5

 NEWS         |    4 ++++
 configure.ac |    2 +-
 2 files changed, 5 insertions(+), 1 deletion(-)

commit e05601b4f136ff9a6baf698c8260bf6cca8c69cb
Author: Stef Walter <stefw@gnome.org>
Date:   2012-02-10

    gcr: More checks and docs for GcrPrompt

 gcr/gcr-mock-prompter.c                            |   21 ++++++++------------
 gcr/gcr-prompt.c                                   |   10 ++++++++++
 .../files/prompt-tests/password-choice.prompt      |    1 +
 3 files changed, 19 insertions(+), 13 deletions(-)

commit 5ef12d63fed8037151bdcbe904abe7c88ce5e507
Author: Stef Walter <stefw@gnome.org>
Date:   2012-02-10

    gcr: Add gcr_prompt_reset() function
    
     * Resets all properties of the prompt to the defaults in the
       interface

 docs/reference/gcr/gcr-sections.txt |    1 +
 docs/reference/gcr/gcr.interfaces   |   43 -------------------------
 gcr/gcr-base.symbols                |    1 +
 gcr/gcr-prompt.c                    |   54 +++++++++++++++++++++++++++----
 gcr/gcr-prompt.h                    |    2 ++
 gcr/tests/test-system-prompt.c      |   60 +++++++++++++++++++++++++++++++++--
 6 files changed, 109 insertions(+), 52 deletions(-)

commit 5306b977d1764adf2965baf17aaf4cd19de7935b
Author: Stef Walter <stefw@gnome.org>
Date:   2012-02-10

    gcr: Add way to set the labels for the prompt buttons
    
     * Add continue-label and cancel-label properties to GcrPrompt
     * Implement in GcrSystemPrompt and in the mock prompter
    
    https://bugzilla.gnome.org/show_bug.cgi?id=669793

 docs/reference/gcr/gcr-sections.txt          |    4 ++
 gcr/gcr-base.symbols                         |    4 ++
 gcr/gcr-mock-prompter.c                      |   14 +++-
 gcr/gcr-prompt-dialog.c                      |   37 ++++++++--
 gcr/gcr-prompt.c                             |   96 +++++++++++++++++++++++++-
 gcr/gcr-prompt.h                             |   12 +++-
 gcr/gcr-system-prompt.c                      |   22 +++++-
 gcr/gcr-system-prompter.c                    |    2 +-
 gcr/tests/files/prompt-tests/multiple.prompt |    2 +
 gcr/tests/test-system-prompt.c               |   10 +++
 po/POTFILES.in                               |    1 +
 11 files changed, 190 insertions(+), 14 deletions(-)

commit 85ee40b4d5c573ed239214fc227611c7936c9c88
Author: Stef Walter <stefw@gnome.org>
Date:   2012-02-10

    gcr: Reenable grabs for password prompts
    
     * Disable them when configure is passed --enable-debug

 configure.ac            |    1 +
 gcr/gcr-prompt-dialog.c |    4 ++++
 2 files changed, 5 insertions(+)

commit 942a69b5a28cfee069efe8b9f1ccf78f708b005f
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2012-01-16

    Release version 3.3.4

 NEWS |    7 +++++++
 1 file changed, 7 insertions(+)

commit 185dcba1f2b6bf8922871c8efc8980d5938c56d9
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2012-01-10

    gcr: Display an appropriate title in gcr-viewer
    
     * And add display-name property to GcrViewerWidget

 docs/reference/gcr/gcr-sections.txt |    2 +
 docs/reference/gcr/gcr.interfaces   |    4 +-
 gcr/gcr-viewer-widget.c             |   97 ++++++++++++++++++++++++++++++++---
 gcr/gcr-viewer-widget.h             |    5 ++
 gcr/gcr-viewer-window.c             |    2 +
 gcr/gcr.symbols                     |    2 +
 6 files changed, 104 insertions(+), 8 deletions(-)

commit ae734dd599400959afc4ecfca6c0bd800c350477
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2012-01-10

    gcr: rename prompt test file, and add another one

 gcr/tests/files/prompt-tests/multiple.prompt       |   31 ++++++++++++++++++++
 .../files/prompt-tests/password-choice.prompt      |    7 +++++
 gcr/tests/files/prompt-tests/simple.prompt         |   28 ------------------
 3 files changed, 38 insertions(+), 28 deletions(-)

commit db8d420f9de952fa5355eff164fa4823dc2b3f06
Author: Ryan Lortie <desrt@desrt.ca>
Date:   2012-01-09

    Change style of toplevel installed headers
    
    Use <gcr/xxx.h> instead of "xxx.h" style.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=667573

 gcr/gcr-base.h |   44 ++++++++++++++++++++++----------------------
 gcr/gcr.h      |   42 +++++++++++++++++++++---------------------
 2 files changed, 43 insertions(+), 43 deletions(-)

commit a3cdb51965d83a7c2e817b6559047b514c09e9f6
Author: Ryan Lortie <desrt@desrt.ca>
Date:   2012-01-07

    various srcdir != builddir fixes
    
    https://bugzilla.gnome.org/show_bug.cgi?id=667573

 gck/Makefile.am |   11 +++++------
 gck/gck.h       |    2 +-
 gcr/Makefile.am |   25 ++++++++++---------------
 gcr/gcr-base.h  |    2 +-
 gcr/gcr.h       |    2 +-
 5 files changed, 18 insertions(+), 24 deletions(-)

commit ff3aea653e8bf828941e351e32c42d4fb26a0a54
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2012-01-09

    gcr: Add tests for new-prompt signal on GcrSystemPrompter

 gcr/gcr-mock-prompter.c   |   52 +++++++++++++++++++++++++++++++++++++++++----
 gcr/gcr-system-prompter.c |   21 +++++++++++++-----
 2 files changed, 64 insertions(+), 9 deletions(-)

commit ed11922bffdb4ef212ce22ca440383d4a5a87656
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2012-01-09

    gcr: Some tweaks for the frob-prompt tester

 gcr/tests/frob-prompt.c |   53 ++++++++++++++++++++++++++++++-----------------
 1 file changed, 34 insertions(+), 19 deletions(-)

commit a64e3bf65a741c0787e280d77c5b43a192a571ad
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2012-01-09

    gcr: Add 'new-prompt' signal to GcrSystemPrompter
    
     * A signal which creates and returns a prompt. The first new-prompt
       signal handler to return a non-null GcrPrompt 'wins'
     * This is for use in gnome-shell where we can't set a prompt-gtype

 gcr/gcr-marshal.list      |    1 +
 gcr/gcr-system-prompter.c |   54 ++++++++++++++++++++++++++++++++++++++++++---
 gcr/gcr-system-prompter.h |   12 ++++++++++
 3 files changed, 64 insertions(+), 3 deletions(-)

commit b04a620fd29bb55d77f15fb6be0efbe23981f467
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2012-01-09

    gcr: Fixes for glib deprecations in the mock prompter

 gcr/gcr-mock-prompter.c |   21 ++++++++++++++++++++-
 1 file changed, 20 insertions(+), 1 deletion(-)

commit 2a573d5f98ebe6e98e613b88f49d1e5dfd8b3a58
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2012-01-03

    gcr: Include GcrPrompt stuff in documentation

 docs/reference/gcr/gcr-docs.sgml |    8 ++++++++
 1 file changed, 8 insertions(+)

commit 15db61820f7cf2cd0a2631115c881367c7afc3c4
Author: darkxst <darkxst@fastmail.fm>
Date:   2011-12-23

    This fixes the build errors, on Ubuntu 11.10

 gcr/Makefile.am |    1 +
 1 file changed, 1 insertion(+)

commit 39f230c2fe4af2626a5c158f88266d9a2b7a4f25
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-12-22

    Bump version number

 configure.ac |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit e38c5779624e1f5db2169964664c0748e7908990
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-12-21

    gck: Remove gck_attributes_add_owned()
    
     * And make gck_attributes_add_attribute() handle owned attributes
     * Unowned attributes should be done with gck_attributes_add_data()
     * This change to ABI cleans things up before API is released as stable

 docs/reference/gck/gck-sections.txt |    1 -
 gck/gck-attributes.c                |   33 ++++++---------------------------
 gck/gck.h                           |    3 ---
 gck/gck.symbols                     |    1 -
 gck/tests/test-gck-attributes.c     |    2 +-
 gcr/gcr-pkcs11-importer.c           |    2 +-
 gcr/gcr-subject-public-key.c        |    2 +-
 gcr/tests/test-subject-public-key.c |    2 +-
 8 files changed, 10 insertions(+), 36 deletions(-)

commit defa049f5f9cd12d9273b2dfa689ed72bc735e15
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-12-21

    Release 3.3.3.1
    
     * And some build warning fixes

 NEWS                                 |    3 +++
 configure.ac                         |    2 +-
 gck/gck-attributes.c                 |    4 ++--
 gcr/tests/frob-certificate-request.c |    3 ++-
 4 files changed, 8 insertions(+), 4 deletions(-)

commit 290b322a2bbaa81c3f00f9241228ed38672fb03f
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-12-20

    Fix build problems
    
     * Linker error with gcr-prompter
     * Fix warning about g_set_error
     * Fix documentation warnings about gck_attributes_set ...

 gck/gck-attributes.c         |    4 ----
 gcr/Makefile.am              |    1 +
 gcr/gcr-subject-public-key.c |    4 ++--
 3 files changed, 3 insertions(+), 6 deletions(-)

commit 7fbd8c05ab28a38c924fe8f607d93c54b6e3079f
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-12-19

    Add gobject and gio dependencies to package config files
    
    https://bugzilla.gnome.org/show_bug.cgi?id=666498

 gck/gck.pc.in      |    2 +-
 gcr/gcr-base.pc.in |    2 +-
 gcr/gcr.pc.in      |    2 +-
 3 files changed, 3 insertions(+), 3 deletions(-)

commit 136b3785fc2f4bbfd70f3664d385bfb5b59b757d
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-12-19

    Release version 3.3.3

 NEWS |   19 +++++++++++++++++++
 1 file changed, 19 insertions(+)

commit 060eb446aa46fb6ad217d249af1b06397c6262b8
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-12-19

    gcr: Build fix for Fedora packaging
    
    https://bugzilla.gnome.org/show_bug.cgi?id=666375

 gcr/Makefile.am |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 9bdd5192980ca72ed69e5a28f6d724b5d2370b4e
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-12-19

    gck: Documentation warning fixes

 docs/reference/gck/gck-sections.txt |    1 +
 gck/gck-attributes.c                |   32 ++++++++++++++++----------------
 2 files changed, 17 insertions(+), 16 deletions(-)

commit dd8726a73b42f82622e8ce29ee27ec42ee3c2511
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-12-19

    gcr: Fix licensing
    
     * Remove unused gcr/gcr-menu-button.[ch]
     * Relicense gcr/gcr-collection-model.[ch]
    
    https://bugzilla.gnome.org/show_bug.cgi?id=666378

 gcr/Makefile.am            |    1 -
 gcr/gcr-collection-model.c |   27 ++--
 gcr/gcr-collection-model.h |   27 ++--
 gcr/gcr-menu-button.c      |  374 --------------------------------------------
 gcr/gcr-menu-button.h      |   61 --------
 5 files changed, 30 insertions(+), 460 deletions(-)

commit c145132df840a498cb64a6423af5c30acc3f3b1e
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-12-19

    gcr: Build fixes

 gcr/Makefile.am           |    2 +-
 gcr/gcr-mock-prompter.c   |   13 +++++++------
 gcr/gcr-system-prompter.c |    4 ++++
 3 files changed, 12 insertions(+), 7 deletions(-)

commit 6bf4da09ec89522ec1f7049976bfe503eaadaf5b
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-12-19

    gcr: Fine tune dbus prompting interface
    
    https://bugzilla.gnome.org/show_bug.cgi?id=656954

 gcr/Makefile.am                    |    3 +-
 gcr/gcr-dbus-constants.h           |    2 +-
 gcr/gcr-system-prompt.c            |    3 +-
 gcr/gcr-system-prompter.c          |    2 +-
 gcr/org.gnome.keyring.Prompt.xml   |    6 ----
 gcr/org.gnome.keyring.Prompter.xml |   57 +++++++++++++++++++++++++++++++++++-
 6 files changed, 61 insertions(+), 12 deletions(-)

commit 520ba851d04be7de133ef3e6d8fb7338e08b081b
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-12-19

    gcr: Correct bus names in gcr-prompter service autostart files

 gcr/org.gnome.keyring.PrivatePrompter.service.in |    2 +-
 gcr/org.gnome.keyring.SystemPrompter.service.in  |    2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit 14934b72afd66cccff4c1fbbd065dbc4b91d9aeb
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-12-19

    gcr: Fix issues in GcrPromptDialog display
    
     * Allow message and description to wrap
     * Focus password entry on startup
     * Put spinner on main action button

 gcr/gcr-prompt-dialog.c |   26 ++++++++++++++++++--------
 1 file changed, 18 insertions(+), 8 deletions(-)

commit f8d85a9bfd74bc75b29a41f952c221c0d610ffe1
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-12-18

    gcr: Add timeout to gcr-prompter process
    
     * When no prompts occur for 10 seconds, quit process

 docs/reference/gcr/gcr-sections.txt |    1 +
 gcr/Makefile.am                     |    3 +-
 gcr/gcr-base.symbols                |    1 +
 gcr/gcr-prompter-tool.c             |  114 ++++++++++++++++++++++++++++++++---
 gcr/gcr-system-prompter.c           |   42 ++++++++++++-
 gcr/gcr-system-prompter.h           |    6 +-
 6 files changed, 150 insertions(+), 17 deletions(-)

commit 3d8fd1a2f4ed07f049784e8f5f7ec17b1893d26f
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-12-18

    gcr: Add frob-prompt tool and fix bugs
    
     * Add frob-prompt tool for playing around with prompts
     * Fix tons of bugs and refactor where necessary

 gcr/Makefile.am                                  |    4 +-
 gcr/gcr-dbus-constants.h                         |    4 +-
 gcr/gcr-prompt-dialog.c                          |   61 +++--
 gcr/gcr-prompter-tool.c                          |   62 ++++-
 gcr/gcr-system-prompt.c                          |   20 +-
 gcr/gcr-system-prompt.h                          |    6 +-
 gcr/gcr-system-prompter.c                        |  296 +++++++++++++---------
 gcr/org.gnome.keyring.PrivatePrompter.service.in |    3 +
 gcr/org.gnome.keyring.Prompter.service.in        |    3 -
 gcr/org.gnome.keyring.SystemPrompter.service.in  |    3 +
 gcr/tests/Makefile.am                            |    1 +
 gcr/tests/files/prompt-tests/simple.prompt       |   28 ++
 gcr/tests/frob-prompt.c                          |  202 +++++++++++++++
 gcr/tests/frob-system-prompt.c                   |    2 +-
 gcr/tests/test-system-prompt.c                   |   67 +++--
 15 files changed, 547 insertions(+), 215 deletions(-)

commit 039f24d12e79d806f632e90332b50ca916ec83d6
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-12-17

    gcr: Fix up documentation for recent prompting work

 docs/reference/gcr/gcr-sections.txt  |  127 +++++++++-
 docs/reference/gcr/gcr.interfaces    |    5 +-
 docs/reference/gcr/gcr.types         |    4 +
 gcr/gcr-base.symbols                 |    1 -
 gcr/gcr-callback-output-stream.c     |    2 +
 gcr/gcr-certificate-basics-widget.c  |    6 +
 gcr/gcr-certificate-details-widget.c |    6 +
 gcr/gcr-certificate.c                |    8 +
 gcr/gcr-dbus-constants.h             |    1 +
 gcr/gcr-gnupg-importer.c             |    2 +
 gcr/gcr-importer.c                   |    2 +
 gcr/gcr-live-search.c                |    2 +
 gcr/gcr-menu-button.c                |    2 +
 gcr/gcr-mock-prompter.c              |  102 ++++++++
 gcr/gcr-mock-prompter.h              |    4 +-
 gcr/gcr-pkcs11-importer.c            |    2 +
 gcr/gcr-prompt-dialog.c              |   55 ++++
 gcr/gcr-prompt-dialog.h              |    4 +-
 gcr/gcr-prompt.c                     |  460 +++++++++++++++++++++++++++++++++-
 gcr/gcr-prompt.h                     |    6 +-
 gcr/gcr-prompter-tool.c              |    2 +-
 gcr/gcr-secure-entry-buffer.c        |   17 +-
 gcr/gcr-secure-entry-buffer.h        |    7 +-
 gcr/gcr-system-prompt.c              |  136 ++++++++--
 gcr/gcr-system-prompt.h              |   11 +-
 gcr/gcr-system-prompter.c            |   84 ++++++-
 gcr/gcr-system-prompter.h            |    6 +-
 gcr/gcr-viewer-widget.c              |   15 ++
 28 files changed, 1009 insertions(+), 70 deletions(-)

commit b548891251edd0bf2afc9651c36ac3c7d1248e00
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-11-21

    gcr: Rework how prompter works by introducing GcrPrompt interface
    
     * GcrSystemPrompt is an implementation of GcrPrompt which
       calls to GcrSystemPrompter
     * GcrSystemPrompter creates GcrPrompt objects on its side
       which do the actual prompting.

 Makefile.decl                      |    4 +-
 gcr/Makefile.am                    |   10 +-
 gcr/gcr-base.h                     |    1 +
 gcr/gcr-base.symbols               |   86 ++-
 gcr/gcr-dbus-constants.h           |   30 +-
 gcr/gcr-mock-prompter.c            |  556 +++++++++------
 gcr/gcr-mock-prompter.h            |    4 +-
 gcr/gcr-prompt-dialog.c            |  808 +++++++++++++++++++++
 gcr/gcr-prompt-dialog.h            |   61 ++
 gcr/gcr-prompt.c                   |  441 ++++++++++++
 gcr/gcr-prompt.h                   |  152 ++++
 gcr/gcr-prompter-tool.c            |  595 +--------------
 gcr/gcr-secret-exchange.c          |   24 +-
 gcr/gcr-system-prompt.c            | 1333 ++++++++++++++++------------------
 gcr/gcr-system-prompt.h            |   76 +-
 gcr/gcr-system-prompter.c          | 1390 ++++++++++++++----------------------
 gcr/gcr-system-prompter.h          |   63 +-
 gcr/gcr.h                          |    1 +
 gcr/gcr.symbols                    |    1 +
 gcr/org.gnome.keyring.Prompt.xml   |   36 -
 gcr/org.gnome.keyring.Prompter.xml |   29 +-
 gcr/tests/frob-system-prompt.c     |   10 +-
 gcr/tests/test-system-prompt.c     |  227 ++++--
 po/POTFILES.in                     |    2 +
 24 files changed, 3243 insertions(+), 2697 deletions(-)

commit 4f19ddbf4e1f9c84594e6967584e4ad60254f828
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-11-01

    gcr: Fix dialog layout, and add dbus service
    
     * A bunch of bug fixes and other fixes to the default prompter tool
     * Add support for making the dialog transient

 .gitignore                                |    1 +
 configure.ac                              |   14 ++++
 gcr/Makefile.am                           |    9 +++
 gcr/gcr-dbus-constants.h                  |    2 +
 gcr/gcr-prompter-tool.c                   |  109 +++++++++++++++++++++++++----
 gcr/gcr-system-prompt.c                   |   22 ++++--
 gcr/gcr-system-prompter.c                 |   46 ++++++++++--
 gcr/org.gnome.keyring.Prompter.service.in |    3 +
 gcr/tests/Makefile.am                     |    1 +
 9 files changed, 186 insertions(+), 21 deletions(-)

commit 6f8691b7260aa1f4c9b520b75c1a0c10170fa004
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-10-31

    gcr: Fix a couple memory leaks in the prompter

 gcr/gcr-system-prompt.c   |    1 +
 gcr/gcr-system-prompter.c |   18 +++++++++---------
 2 files changed, 10 insertions(+), 9 deletions(-)

commit cf51303c1b38857d3aa04cece982d6e8e58fea5a
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-10-31

    gcr: Make prompter tests work properly, add debugging
    
     * Run mock prompter in a separate thread to fix blocking
       and concurrency issues.
     * Run tests in in the main process thread
     * Add more debugging output

 .gitignore                     |    2 +
 egg/egg-error.h                |   10 +-
 egg/egg-testing.c              |   85 ++++++++-
 egg/egg-testing.h              |    2 +
 gcr/gcr-mock-prompter.c        |  332 ++++++++++++++++++++++++++++----
 gcr/gcr-mock-prompter.h        |   22 +--
 gcr/gcr-system-prompt.c        |  195 +++++++++++++++++--
 gcr/gcr-system-prompt.h        |   16 +-
 gcr/gcr-system-prompter.c      |   72 ++++---
 gcr/gcr-system-prompter.h      |    4 +-
 gcr/tests/frob-system-prompt.c |  106 +++++++++++
 gcr/tests/test-system-prompt.c |  409 ++++++++++++++++++++++++++++++++++++++++
 12 files changed, 1161 insertions(+), 94 deletions(-)

commit 4edd77e47f1f6ee6ed138a4d3f4f06cd5896cafa
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-10-31

    gcr: Fix missing bit of GcrSecureEntryBuffer symbols

 gcr/gcr.symbols |    2 ++
 1 file changed, 2 insertions(+)

commit 0bf6e6e710b1246072d0c4cbc05bca9a5dabafd7
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-10-31

    gcr: Pass properties changed back in prompter dbus method responses
    
     * This is to prevent race conditions with the PropertiesChanged
       signal.

 gcr/gcr-system-prompt.c          |  111 +++++++++++++++++----------------
 gcr/gcr-system-prompter.c        |  128 ++++++++++++++------------------------
 gcr/org.gnome.keyring.Prompt.xml |   15 +++--
 3 files changed, 114 insertions(+), 140 deletions(-)

commit 316bb56cadbdd56ee0e897dcc571dec7ea8ac77a
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-10-28

    gcr: Add system prompt and prompter
    
     * GcrSystemPrompt is a class used on the client.
     * GcrSystemPrompter is a base class for implementing the actual prompter
     * GcrMockPrompter is a mock prompter, which returns predefined values
       useful in tests

 configure.ac                        |    2 +-
 docs/reference/gcr/Makefile.am      |    2 +
 docs/reference/gcr/gcr-sections.txt |    5 +
 gcr/Makefile.am                     |   40 +-
 gcr/gcr-base.h                      |    3 +
 gcr/gcr-base.symbols                |   59 ++
 gcr/gcr-dbus-constants.h            |   62 ++
 gcr/gcr-debug.c                     |    1 +
 gcr/gcr-debug.h                     |    1 +
 gcr/gcr-mock-prompter.c             |  456 ++++++++++++
 gcr/gcr-mock-prompter.h             |   62 ++
 gcr/gcr-prompter-tool.c             |  630 +++++++++++++++++
 gcr/gcr-system-prompt.c             | 1330 +++++++++++++++++++++++++++++++++++
 gcr/gcr-system-prompt.h             |  174 +++++
 gcr/gcr-system-prompter.c           | 1162 ++++++++++++++++++++++++++++++
 gcr/gcr-system-prompter.h           |  113 +++
 gcr/org.gnome.keyring.Prompt.xml    |   39 +
 gcr/org.gnome.keyring.Prompter.xml  |   15 +
 gcr/tests/Makefile.am               |    3 +-
 19 files changed, 4154 insertions(+), 5 deletions(-)

commit 19f5cd44bbcb5771c1519a0f7d55b46043c5d858
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-10-27

    gcr: Fix typo in GcrSecretExchange docs

 gcr/gcr-secret-exchange.c |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit e4b4d14fbe700e813dbdaeb058985c1ebc9c3043
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-10-27

    gcr: Fix up the gcr-secret-exchange.h header

 gcr/gcr-secret-exchange.h |    4 ++++
 1 file changed, 4 insertions(+)

commit 23ab85ea7e8844104ea7b700f276f9e494ad449e
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-10-27

    gcr: Expose GcrSecureEntryBuffer as a public class
    
     * This is a GtkEntryBuffer that uses non-pageable memory for the
       buffer, to be used with passwords and secrets.

 docs/reference/gcr/gcr-docs.sgml    |    1 +
 docs/reference/gcr/gcr-sections.txt |   17 +++
 docs/reference/gcr/gcr.types        |    1 +
 egg/Makefile.am                     |    8 --
 egg/egg-entry-buffer.c              |  200 ------------------------------
 egg/egg-entry-buffer.h              |   59 ---------
 gcr/Makefile.am                     |    3 +-
 gcr/gcr-failure-renderer.c          |    5 +-
 gcr/gcr-pkcs11-import-dialog.c      |    4 +-
 gcr/gcr-secure-entry-buffer.c       |  231 +++++++++++++++++++++++++++++++++++
 gcr/gcr-secure-entry-buffer.h       |   63 ++++++++++
 gcr/gcr-unlock-renderer.c           |    5 +-
 gcr/gcr.h                           |    1 +
 gcr/tests/Makefile.am               |    1 -
 14 files changed, 322 insertions(+), 277 deletions(-)

commit 4ed60e05c20a644a794bf5b6de62f2899ce8d0ec
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-12-13

    gcr: Add uris to GcrImporter
    
     * This allows us to refresh the appropriate place in seahorse

 gcr/gcr-gnupg-importer.c  |   21 ++++++++++++++++++---
 gcr/gcr-importer.c        |    9 +++++++++
 gcr/gcr-pkcs11-importer.c |   24 +++++++++++++++++++++---
 3 files changed, 48 insertions(+), 6 deletions(-)

commit 1b5dfd5d5bf2e53eb8c1edb53605bc93443e0f73
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-12-13

    egg: Check that bytes are valid when they come into ASN.1

 egg/egg-asn1x.c |   10 ++++++++++
 1 file changed, 10 insertions(+)

commit 567cf5f4ecf914a2b949ae2014d0a27088697f65
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-12-13

    gcr: Check for invalid attributes when creating subject public keys

 gcr/gcr-subject-public-key.c |   10 +++++++---
 1 file changed, 7 insertions(+), 3 deletions(-)

commit 33b7694c293bf78c06136d07e9ad9744287b1c78
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-12-13

    gcr: Fix invalid cast in GcrPkcs11Importer

 gcr/gcr-pkcs11-importer.c |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 673a4c9e42883150e9835dc8a8b4f14c805b8264
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-12-09

    gcr: GcrKeyRenderer has a writable object and attributes properties
    
     * Allows updating the the attributes and object so that we can
       retrieve attributes on demand and show them later

 gcr/gcr-key-renderer.c |   17 ++++++++++++-----
 1 file changed, 12 insertions(+), 5 deletions(-)

commit 358a4d29c50e09525591a929c4b86b168f05e31e
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-12-09

    Revert changes to libtool version and removed API
    
     * There were problems with applications that didn't use libgck but
       linked to the old version with the old libtool number: empathy
     * So stub out the removed functions, revert the libtool version changes
       instead of removing those functions.
    
    This reverts commit ef7e91d66839d4104ee6ba9681e49506f5dd5fa3.

 configure.ac                        |    2 +-
 docs/reference/gck/gck-sections.txt |   26 ++-
 docs/reference/gcr/gcr-sections.txt |    1 -
 gck/gck-attributes.c                |  375 ++++++++++++++++++++++++++++++++++-
 gck/gck-deprecated.h                |   73 ++++++-
 gck/gck-misc.c                      |    7 +
 gck/gck-module.c                    |    8 +-
 gck/gck-modules.c                   |    2 +-
 gck/gck-slot.c                      |   19 +-
 gck/gck-uri.c                       |   17 +-
 gck/gck.h                           |   10 +-
 gck/gck.symbols                     |   21 ++
 gck/tests/test-gck-attributes.c     |   15 +-
 gck/tests/test-gck-module.c         |    4 +-
 gck/tests/test-gck-modules.c        |    4 +-
 gck/tests/test-gck-slot.c           |    2 +-
 gck/tests/test-gck-uri.c            |    2 +-
 gcr/gcr-importer.c                  |    2 +-
 gcr/gcr-key-mechanisms.c            |    2 +-
 19 files changed, 565 insertions(+), 27 deletions(-)

commit ef7e91d66839d4104ee6ba9681e49506f5dd5fa3
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-12-08

    gck: Bump gck libtool version, as we removed interfaces from libgck
    
     * libgck API is not yet stable.
     * Gck is only used internally in the gcr projcet, gnome-keyring project
       and the seahorse project.
     * We want to be threadsafe with regard to attributes, and the
       functions removed can't be implemented within the new framework.
     * Remove deprecated functions at the same time, since this is an
       opportunity to cleanup.

 configure.ac                        |    2 +-
